package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRencanaOrderFarmasiVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@NotNull(message = "Tgl Order tidak boleh kosong")
	@Column(name = "tglOrder", nullable = false)
	@Caption(value = "Tgl Order")
	private Date tglOrder;

	@NotNull(message = "No Resep tidak boleh kosong")
	@Column(name = "noResep", nullable = false)
	@Caption(value = "No Resep")
	private String noResep;

	@NotNull(message = "Tgl Resep tidak boleh kosong")
	@Column(name = "tglResep", nullable = false)
	@Caption(value = "Tgl Resep")
	private Date tglResep;

	@NotNull(message = "Dokter Penulis Resep tidak boleh kosong")
	@Column(name = "dokterPenulisResep", nullable = false)
	@Caption(value = "Dokter Penulis Resep")
	private String dokterPenulisResep;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@NotNull(message = "Ruangan Tujuan tidak boleh kosong")
	private RuanganVO ruanganTujuan;
		
	@ManyToOne
	@JoinColumn(name = "ObjectPapJenisObatFk")
	@NotNull(message = "PapJenisObat tidak boleh kosong")
	private PapJenisObatVO papJenisObat;

	@ManyToOne
	@JoinColumn(name = "ObjectPapNamaBarangFk")
	@NotNull(message = "PapNamaBarang tidak boleh kosong")
	private PapNamaBarangVO papNamaBarang;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTglOrder() {
		return tglOrder;
	}

	public void setTglOrder(Date tglOrder) {
		this.tglOrder = tglOrder;
	}

	public String getNoResep() {
		return noResep;
	}

	public void setNoResep(String noResep) {
		this.noResep = noResep;
	}

	public Date getTglResep() {
		return tglResep;
	}

	public void setTglResep(Date tglResep) {
		this.tglResep = tglResep;
	}

	public String getDokterPenulisResep() {
		return dokterPenulisResep;
	}

	public void setDokterPenulisResep(String dokterPenulisResep) {
		this.dokterPenulisResep = dokterPenulisResep;
	}

	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	public PapJenisObatVO getPapJenisObat() {
		return papJenisObat;
	}

	public void setPapJenisObat(PapJenisObatVO papJenisObat) {
		this.papJenisObat = papJenisObat;
	}

	public PapNamaBarangVO getPapNamaBarang() {
		return papNamaBarang;
	}

	public void setPapNamaBarang(PapNamaBarangVO papNamaBarang) {
		this.papNamaBarang = papNamaBarang;
	}
	
}
